summaryrefslogtreecommitdiff
path: root/bin/guiscripts/newwal
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-05-04 11:00:21 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-05-04 11:00:21 +0200
commitcdffca815a0e824ed3fc0993994f0e28ea2c3878 (patch)
tree402d4e8326453467de9e4d19ddaca4c429475123 /bin/guiscripts/newwal
parentc0f82cfe9a9b48c5ca705718b553e5fb18873eae (diff)
use more obvious variable name
Diffstat (limited to 'bin/guiscripts/newwal')
-rwxr-xr-xbin/guiscripts/newwal8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/guiscripts/newwal b/bin/guiscripts/newwal
index 49a4b9a..1673b51 100755
--- a/bin/guiscripts/newwal
+++ b/bin/guiscripts/newwal
@@ -4,9 +4,9 @@ which swaybg wal identify > /dev/null || exit 1
wall="$HOME/pics/wallpaper"
walls="$HOME/pics/wallpapers"
-wdir="$HOME/.cache/wal"
+walcache="$HOME/.cache/wal"
res="1920x1080"
-test -d "$wdir" || exit 1
+test -d "$walcache" || exit 1
# if no (valid) argument, use random wallpaper
test -f "${wal:=$(realpath "$1")}" ||
@@ -23,7 +23,7 @@ wal -c
wal -i "$wall"
# foot
-. "$wdir/colors.sh"
+. "$walcache/colors.sh"
cat <<EOF | tr -d '#' > "$HOME/.config/foot/colors"
[colors]
foreground = $foreground
@@ -49,6 +49,6 @@ bright7 = $color15
EOF
# waybar
-ln -sf "$wdir/colors-waybar.css" "$HOME/.config/waybar/colors.css"
+ln -sf "$walcache/colors-waybar.css" "$HOME/.config/waybar/colors.css"
pkill waybar
waybar &